﻿package {
	import jp.progression.casts.*;
	import jp.progression.commands.display.*;
	import jp.progression.commands.lists.*;
	import jp.progression.commands.managers.*;
	import jp.progression.commands.media.*;
	import jp.progression.commands.net.*;
	import jp.progression.commands.tweens.*;
	import jp.progression.commands.*;
	import jp.progression.data.*;
	import jp.progression.events.*;
	import jp.progression.executors.*;
	import jp.progression.scenes.*;
	
	/**
	 * ...
	 * @author ...
	 */
	public class IndexScene extends SceneObject {
		
		private var _world:Papervision3DWorld;
		
		/**
		 * 新しい IndexScene インスタンスを作成します。
		 */
		public function IndexScene() {
			// シーンタイトルを設定します。
			title = "MyProject";
			
			_world = new Papervision3DWorld();
			
			const max:int = 10;
			for (var i:int = 0; i < max; i++) 
			{
				var page:SceneObject = addScene(new SceneObject("page_" + i));
				// シーンに到達したら
				page.onSceneInit = function():void {
					// SceneIdからページ番号を取得
					trace(this.sceneId.path);
					var pageId:int = int(this.sceneId.path.split("_")[1]);
					trace(pageId);
					// Papervision3Dのページを同期
					_world.gotoPage(pageId);
				};
			}
		}
		
		/**
		 * シーン移動時に目的地がシーンオブジェクト自身もしくは子階層だった場合に、階層が変更された直後に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneLoad():void {
			addCommand(
				new AddChild(container, _world)
			);
		}
		
		/**
		 * シーンオブジェクト自身が目的地だった場合に、到達した瞬間に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneInit():void {
			addCommand(
				new Goto(scenes[0].sceneId)
			);
		}
		
	}
}
